com.smartxls

## Interface DocumentBuiltInProperties

-     public interface DocumentBuiltInProperties

  represent the build-in ducument properties

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApplicationName()` application name
    `java.lang.String` | `getAuthor()` author
    `int` | `getByteCount()` byte count
    `java.lang.String` | `getCategory()` category name
    `int` | `getCharCount()` char count
    `java.lang.String` | `getComments()` comments
    `java.lang.String` | `getCompany()` company name
    `java.util.Date` | `getCreationDate()` creation date
    `int` | `getHiddenCount()` hidden count
    `java.lang.String` | `getKeywords()` key words
    `java.lang.String` | `getLastAuthor()` last author
    `java.util.Date` | `getLastPrinted()` last printed date
    `java.util.Date` | `getLastSaveDate()` last saved date
    `int` | `getLineCount()` line count
    `java.lang.String` | `getManager()` manager name
    `java.lang.String` | `getSubject()` subject
    `java.lang.String` | `getTemplate()` template name
    `java.lang.String` | `getTitle()` title
    `int` | `getWordCount()` words count
    `void` | `setApplicationName(java.lang.String v)` set the application name
    `void` | `setAuthor(java.lang.String v)` set the author name
    `void` | `setByteCount(int v)` set the byte count
    `void` | `setCategory(java.lang.String v)` set the category name
    `void` | `setCharCount(int v)` set the char count
    `void` | `setComments(java.lang.String v)` set the comments
    `void` | `setCompany(java.lang.String v)` set the company name
    `void` | `setCreationDate(java.util.Date v)` set the creation date
    `void` | `setHiddenCount(int v)` set the hidden count
    `void` | `setKeywords(java.lang.String v)` set the key words
    `void` | `setLastAuthor(java.lang.String v)` set the last author name
    `void` | `setLastPrinted(java.util.Date v)` set the last printed date
    `void` | `setLastSaveDate(java.util.Date v)` set the last saved date
    `void` | `setLineCount(int v)` set the line count
    `void` | `setManager(java.lang.String v)` set the manager name
    `void` | `setSubject(java.lang.String v)` set the subject
    `void` | `setTemplate(java.lang.String v)` set the template name
    `void` | `setTitle(java.lang.String v)` set the title
    `void` | `setWordCount(int v)` set the words count

- - ### Method Detail

    - #### getApplicationName

          java.lang.String getApplicationName()

      application name
      Returns:
        app name

    - #### setApplicationName

          void setApplicationName(java.lang.String v)

      set the application name
      Parameters:
        `v` - app name

    - #### getAuthor

          java.lang.String getAuthor()

      author
      Returns:
        author name

    - #### setAuthor

          void setAuthor(java.lang.String v)

      set the author name
      Parameters:
        `v` - author name

    - #### getTitle

          java.lang.String getTitle()

      title
      Returns:
        title

    - #### setTitle

          void setTitle(java.lang.String v)

      set the title
      Parameters:
        `v` - title

    - #### getComments

          java.lang.String getComments()

      comments
      Returns:
        comments

    - #### setComments

          void setComments(java.lang.String v)

      set the comments
      Parameters:
        `v` - comments

    - #### getCompany

          java.lang.String getCompany()

      company name
      Returns:
        company name

    - #### setCompany

          void setCompany(java.lang.String v)

      set the company name
      Parameters:
        `v` - company name

    - #### getCategory

          java.lang.String getCategory()

      category name
      Returns:
        category name

    - #### setCategory

          void setCategory(java.lang.String v)

      set the category name
      Parameters:
        `v` - category name

    - #### getKeywords

          java.lang.String getKeywords()

      key words
      Returns:
        key words

    - #### setKeywords

          void setKeywords(java.lang.String v)

      set the key words
      Parameters:
        `v` - key word

    - #### getLastAuthor

          java.lang.String getLastAuthor()

      last author
      Returns:
        last author name

    - #### setLastAuthor

          void setLastAuthor(java.lang.String v)

      set the last author name
      Parameters:
        `v` - author name

    - #### getManager

          java.lang.String getManager()

      manager name
      Returns:
        manager name

    - #### setManager

          void setManager(java.lang.String v)

      set the manager name
      Parameters:
        `v` - manager name

    - #### getSubject

          java.lang.String getSubject()

      subject
      Returns:
        subject text

    - #### setSubject

          void setSubject(java.lang.String v)

      set the subject
      Parameters:
        `v` - subject

    - #### getTemplate

          java.lang.String getTemplate()

      template name
      Returns:
        template

    - #### setTemplate

          void setTemplate(java.lang.String v)

      set the template name
      Parameters:
        `v` - template

    - #### getByteCount

          int getByteCount()

      byte count
      Returns:
        byte count

    - #### setByteCount

          void setByteCount(int v)

      set the byte count
      Parameters:
        `v` - byte count

    - #### getCharCount

          int getCharCount()

      char count
      Returns:
        char count

    - #### setCharCount

          void setCharCount(int v)

      set the char count
      Parameters:
        `v` - char count

    - #### getHiddenCount

          int getHiddenCount()

      hidden count
      Returns:
        hidden count

    - #### setHiddenCount

          void setHiddenCount(int v)

      set the hidden count
      Parameters:
        `v` - hidden count

    - #### getLineCount

          int getLineCount()

      line count
      Returns:
        line count

    - #### setLineCount

          void setLineCount(int v)

      set the line count
      Parameters:
        `v` - line count

    - #### getWordCount

          int getWordCount()

      words count
      Returns:
        words count

    - #### setWordCount

          void setWordCount(int v)

      set the words count
      Parameters:
        `v` - words count

    - #### getCreationDate

          java.util.Date getCreationDate()

      creation date
      Returns:
        creation date

    - #### setCreationDate

          void setCreationDate(java.util.Date v)

      set the creation date
      Parameters:
        `v` - creation date

    - #### getLastPrinted

          java.util.Date getLastPrinted()

      last printed date
      Returns:
        last printed date

    - #### setLastPrinted

          void setLastPrinted(java.util.Date v)

      set the last printed date
      Parameters:
        `v` - last printed date

    - #### getLastSaveDate

          java.util.Date getLastSaveDate()

      last saved date
      Returns:
        last saved date

    - #### setLastSaveDate

          void setLastSaveDate(java.util.Date v)

      set the last saved date
      Parameters:
        `v` - last saved date